Package org.eclipse.jface.operation

# Class ProgressMonitorUtil

java.lang.Object
org.eclipse.jface.operation.ProgressMonitorUtil

public final class ProgressMonitorUtil extends Object
Contains static methods for constructing and manipulating progress monitors.

Since:
  3.13

## Constructor Summary

Constructors
Constructor
Description
`ProgressMonitorUtil()`

## Method Summary

Modifier and Type
Method
Description
`static IProgressMonitorWithBlocking`
`createAccumulatingProgressMonitor(IProgressMonitor monitor, Display display)`
Deprecated, for removal: This API element is subject to removal in a future version.
use `createUIProgressMonitor(IProgressMonitor, Display)` instead
`static IProgressMonitor`
`createUIProgressMonitor(IProgressMonitor monitor, Display display)`
Wraps an `IProgressMonitor` associated with the UI thread, producing a new `IProgressMonitor` which can be used from any one thread.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProgressMonitorUtil

public ProgressMonitorUtil()

## Method Details

### createAccumulatingProgressMonitor

@Deprecated(forRemoval=true, since="2026-03") public static IProgressMonitorWithBlocking createAccumulatingProgressMonitor(IProgressMonitor monitor, Display display)
Deprecated, for removal: This API element is subject to removal in a future version.
use `createUIProgressMonitor(IProgressMonitor, Display)` instead
Wraps an `IProgressMonitor` associated with the UI thread, producing a new `IProgressMonitor` which can be used from any one thread. The resulting progress monitor will send changes to the wrapped monitor asynchronously.

May be called from any thread. The thread that uses the resulting progress monitor need not be the same as the thread that constructs it.

Parameters:
  `monitor` - a progress monitor that should only be updated on the UI thread
  `display` - Display associated with the progress monitor's UI thread
Returns:
  a progress monitor wrapper that can accumulate progress events from a non-ui thread, and send them to the wrapped monitor on the UI thread
Since:
  3.13

### createUIProgressMonitor

public static IProgressMonitor createUIProgressMonitor(IProgressMonitor monitor, Display display)
Wraps an `IProgressMonitor` associated with the UI thread, producing a new `IProgressMonitor` which can be used from any one thread. The resulting progress monitor will send changes to the wrapped monitor asynchronously.

May be called from any thread. The thread that uses the resulting progress monitor need not be the same as the thread that constructs it.

Parameters:
  `monitor` - a progress monitor that should only be updated on the UI thread
  `display` - Display associated with the progress monitor's UI thread
Returns:
  a progress monitor wrapper that can accumulate progress events from a non-ui thread, and send them to the wrapped monitor on the UI thread
Since:
  3.22